Bug 4103 - dpkg message for missing scripts is confusing
: dpkg message for missing scripts is confusing
Status: RESOLVED FIXED
Product: Mer
Core
: 0.7
: All Mer
: Low enhancement (vote)
: ---
Assigned To: Raphaël Hertzog
: general-bugs
:
: upstream
:
:
  Show dependency tree
 
Reported: 2009-02-11 12:59 UTC by timeless
Modified: 2010-02-22 19:30 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description timeless (reporter) 2009-02-11 12:59:58 UTC
mer0.7
dpkg 1.14.24ubuntu1

i made the mistake of breaking my mer.

dpkg now yields:

dpkg: `update-rc.d` not found on PATH.
NB: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.

Problems:
1. update-rc.d is /sorta/ in the path, as in:

/usr/sbin/update-rc.d -> /usr/share/sysvinit/update-rc.d

/usr/share/sysvinit/update-rc.d doesn't exist

2. I wouldn't write "on PATH", i'd write either "in PATH" or "along PATH".
Comment 1 Lucas Maneos 2009-08-06 03:32:04 UTC
Confirming, though it's an upstream thing and the same in other debian-based
distributions including official Maemo:

Nokia-N810-43-7:~# mv /usr/sbin/update-rc.d /usr/sbin/update-rc.d.bak
Nokia-N810-43-7:~# apt-get install <whatever>
...
dpkg: `update-rc.d' not found on PATH.
dpkg: 1 expected program(s) not found on PATH.
NB: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
E: Sub-process /usr/bin/dpkg returned an error code (2)

Realistically this is probably a WONTFIX here, but if anyone cares enough to
report to bugs.debian.org the fix will eventually trickle down to Ubuntu and
Mer...
Comment 2 Raphaël Hertzog 2010-02-22 15:24:09 UTC
(In reply to comment #1)
> dpkg: `update-rc.d' not found on PATH.
> dpkg: 1 expected program(s) not found on PATH.
> NB: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
> E: Sub-process /usr/bin/dpkg returned an error code (2)
> 
> Realistically this is probably a WONTFIX here, but if anyone cares enough to
> report to bugs.debian.org the fix will eventually trickle down to Ubuntu and
> Mer...

I fail to see what you would report. It's a feature of dpkg to verify that the
most important programs are available... those are expected to be there for
many postinst scripts to work. Even if dpkg removes the check, you would end up
with errors in package installing a startup script.

BTW, you can use --force-bad-path if you want dpkg to continue despite the
problem.
Comment 3 Lucas Maneos 2010-02-22 15:31:21 UTC
AIUI this bug report is not dpkg's behaviour but just on the wording of the
error message in the general case (on vs in/along) and when the script path is
a broken symlink (the path is actually found but the final destination isn't).
Comment 4 Raphaël Hertzog 2010-02-22 16:53:54 UTC
Okay, fixed upstream:
http://git.debian.org/?p=dpkg/dpkg.git;a=commit;h=07522de7d6957ba02ae195cf180141d93dccf60d
Comment 5 timeless (reporter) 2010-02-22 19:29:58 UTC
"or couldn't be executed" is probably better than "or not executable", however
it's definitely an improvement.
Comment 6 timeless (reporter) 2010-02-22 19:30:27 UTC
i'm going to mark this as fixed because you've improved the string and that
makes me happy :)